function ICR_BE2TA_plots()

%%% This function reads "IMC2IA_TA2BE_FMC2IA_large.csv",
%%% "IMC2IA_TA2BE_FMC2IA_big.csv", "IMC2IA_TA2BE_FMC2IA_mid.csv", and
%%% "IMC2IA_TA2BE_FMC2IA_allnosmall.csv", then reproducess figure 6 in the
%%% forthcoming version of Lai & Ye (2019)

sizestrvct = {'large', 'big', 'mid', 'allnosmall'};
subtitlevct = {'Large', 'Big', 'Mid', 'All(no small)'};

close all

set(gcf, 'Position', [10 10 1000 800])
set(gcf, 'Color', 'w');

for iPlot = 1:length(sizestrvct)
    table_iplot = readtable(['../data/IMC2IA_TA2BE_FMC2IA_' sizestrvct{iPlot} '.csv']);
    dateVector = table_iplot.Date;    
    subplot(2,2,iPlot)    
    hold on
    h = area(dateVector, [table_iplot.IMC_IA, table_iplot.FMC_IA], 'LineWidth',0.1,'EdgeColor','none');
    set(h(1),'FaceColor',[0.55 0.55 0.55]);
    set(h(2),'FaceColor',[0.75 0.75 0.75]);
    line_fewer_markers(dateVector, table_iplot.TA_BE, 3, 'r-.^', 'LineWidth', 0.7,'Spacing', 'curve', 'MarkerSize', 3);
    line_fewer_markers(dateVector, sum([table_iplot.IMC_IA, table_iplot.FMC_IA], 2), 3, 'b-*', 'LineWidth', 0.5,'Spacing', 'curve', 'MarkerSize', 4);
    if iPlot == 1
        legend('Intrinsic Mkt Cap / Implied Asset Value', 'Forbearance Capital Value', 'Book Equity / Total Assets', 'Mkt Cap / Implied Asset Value');
        legend boxoff
    end
    hold off
    set(gca,'Ylim', [0, 0.6], 'Ytick',0:0.1:0.6, 'Xlim', [min(dateVector) max(dateVector)])
    datetick('x','yy','keeplimits','keepticks')
    title([subtitlevct{iPlot}, ' Banks'])
    box off
end