function ROC_AUC_LYvsRV_plot()

%%% This function reads "LY_RV_PD_cmp_data.csv" and reproduces figure 8 in
%%% the forthcoming version of Lai & Ye (2019)

out = readtable('../data/LY_RV_PD_cmp_data.csv');

[X_LY, Y_LY, ~, AUC_LY] = perfcurve(logical(out.Default_Indicator) , out.LY_PD, 'true'); %%% LY
disp(['LY AUC = ' num2str(AUC_LY)])
[X_RV, Y_RV, ~, AUC_RV] = perfcurve(logical(out.Default_Indicator) , out.RV_PD, 'true'); %%% RV
disp(['RV AUC = ' num2str(AUC_RV)])

close all
set(gcf, 'Position', [10 10 1450/1.6 680/1.4]*0.75)
set(gcf, 'Color', 'w')
plot(X_LY , Y_LY, 'LineWidth', 2)
xlabel('False positive rate')
ylabel('True positive rate')
hold on;
plot(X_RV , Y_RV, 'r--', 'LineWidth', 2)
legend({['Lai-Ye, AUC = ' num2str(round(AUC_LY*1000)/10) '%'], ['Ronn-Verma, AUC = ' num2str(round(AUC_RV*1000)/10) '%']}, 'Location', 'SouthEast')
legend boxoff
grid on
box off

end