function ffc_diff_plot()

%%% This function reads "ffc_diff.csv" and reproduces figure 7 in the
%%% forthcoming version of Lai & Ye (2019)

close all
set(gcf, 'Position', [10 10 1450/1.6 680/1.4]*0.75)
set(gcf, 'Color', 'w')

tabledata = readtable('../data/ffc_diff.csv');
ffc_diff = tabledata.ffc_diff;
datevector = tabledata.Date;

mean_ffc_diff = mean(ffc_diff);
[~,p] = ttest(ffc_diff);

disp(['Ave FFC difference between RV and LY = ' num2str(mean_ffc_diff) ' with Pval = ' num2str(p*100) '%'])

fincri_start_datenum = datenum('31-Dec-2007');
fincri_end_datenum = datenum('30-Jun-2009');

xdate_num = datenum(datevector);

plot(xdate_num, ffc_diff)
hold on

coord_x_datenum = [fincri_start_datenum, fincri_start_datenum, fincri_end_datenum, fincri_end_datenum];
p = patch(coord_x_datenum, [min(ylim), max(ylim), max(ylim), min(ylim)], [0.5 0.5 0.5]);
p.EdgeColor = [0.8 0.8 0.8];
p.FaceColor = [0.8 0.8 0.8];
p.FaceAlpha = 0.7;
plot(xdate_num, ffc_diff, 'LineWidth', 1.2)
box off
grid on
datetick('x','yyyy', 'keeplimits', 'keepticks')
xlim([min(xdate_num), max(xdate_num)])
hold off

end